Bug 118054 - Yum-installed packages have relocation errors
Yum-installed packages have relocation errors
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Depends On:
  Show dependency treegraph
Reported: 2004-03-11 10:18 EST by Brian Fahrlander
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-12 17:02:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Fahrlander 2004-03-11 10:18:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Galeon/1.3.13

Description of problem:
This has been happening for a while, but it's getting annoying to the
point of backing-out of the deveopment cycle. Here's what's happening:

yum points out there are new packages for Evolution.  It downloads
them dutifully and I start the program and get numerious 'relocation
errors' reported to stdout like so:

[brian@aquila brian]$ evolution
evolution: relocation error:
/usr/lib/evolution/1.5/libemiscwidgets.so.0: undefined symbol:

Could these be built for 2.6 or something?  It's a real pain to look
up which ones have changed, rebuild'em, remove the existing
same-versioned RPMs, and re-install.  And it might even be
complicating the error-reporting process, as I'm not manually dealing
with the .rpmnew files (hoping _it_ might).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run yum (or I presume) apt normally to get new versions.
2.Run evolution from a terminal window.
3.Note errors similar to above.

Actual Results:  evolution: relocation error:
/usr/lib/evolution/1.5/libemiscwidgets.so.0: undefined symbol:

Expected Results:  Evolution starting normally

Additional info:

I'm getting these releases from
http://people.redhat.com/~katzj/evolution/SRPMS/ manually, and yum's
getting them from http://people.redhat.com/katzj/evolution/.  This
*is* the same place, right?
Comment 1 Dave Malcolm 2004-11-02 19:52:52 EST
I'm sorry that this bug has gone for so long without activity.

Are you still having any problems like this?  Evolution 2.0.2 is now
in Rawhide (and I'm using it as my main email client)
Comment 2 Brian Fahrlander 2004-12-24 07:07:32 EST
No, I've dropped back to stable releases; if this is a problem in the
future, somone will re-instate it.  Let's drop this one and narrow the
field; I don't think it's a problem anymore.
Comment 3 Dave Malcolm 2005-05-12 17:02:08 EDT
Closing, please reopen if the problem recurs.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.